Skip to main content
post/v2/notify/{eventId}
Request example
Response
post/v2/notify/{eventId}

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

eventIdstringrequired#
The event ID that waiters are listening for.

Body

application/json · text/plain · application/octet-stream
bodyobject#
The event data to send to all waiters. This will be the request payload for waiting workflow steps.

Responses

application/json
Event notification sent successfully
waiterobject#
messageIdstring#
The ID of the notification message that was published.
deduplicatedboolean#
Whether this notification was deduplicated.
errorstring#
Error message if the notification failed.
workflowRunIdstring#
The workflow run ID if the notification was sent within a workflow.
workflowCreatedAtinteger#
The timestamp when the workflow run was created (Unix timestamp in milliseconds).